
/*
Slider Gallery Area Two Style
=================================================*/
.single-slider-gallery {
	height: 200px;
	position: relative;
	overflow: hidden;
}
@media (max-width: 991.98px) {
.single-slider-gallery {
	height: 150px;
}
}
@media (max-width: 575.98px) {
.single-slider-gallery {
	height: 120px;
}
}

.menu-gallery {
	position: relative;
	overflow: hidden;
}

.menu-gallery img {
	width: 100%;
}

.single-slider-gallery::before,
.menu-gallery::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 0;
  background-color: #fac564;
  opacity: 0.5;
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
}

.single-slider-gallery .instagram-link,
.menu-gallery .instagram-link {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  z-index: 1;
  -webkit-transform: scale(0);
          transform: scale(0);
  -webkit-transition: all 0.5s;
  transition: all 0.5s;
}

.single-slider-gallery .instagram-link i,
.menu-gallery .instagram-link i {
  color: #ffffff;
  font-size: 50px;
}

.single-slider-gallery:hover .instagram-link,
.menu-gallery:hover .instagram-link {
  -webkit-transform: scale(1);
          transform: scale(1);
}

.single-slider-gallery:hover::before,
.menu-gallery:hover::before {
  height: 100%;
  -webkit-animation: fadeInRight 0.5s linear;
          animation: fadeInRight 0.5s linear;
}